#include <stdio.h>
#include <stdio.h>
#include "tags.h"
#   include "typedef.h"
#   include "bif.h"
#   include "ll.h"
#   include "symb.h"
#include "defnodes.h"
#include "makespec.h"
#include "decl.h"
 
#include "makenodes.h"
 
/*
 *    Global variables specification
 */
 
int  globeErr_g,fixedFormat_g,debugFlag_g,intrFlag_g=0;
int  lineNum_g,lineNum_l;
 
int countCont;
char *outname;
char *lstname;                          /* add by zheng.gb file.lst */
char *input_file;

char *input_file;
FILE *inf_ptr;
int yylex();
#undef YYLMAX
#define YYLMAX 8192
#include "err_token.h"   /* xli, 1/21/97 */
 
int intent_l=0;/* used in intent_stmt to pass the value of local */
int combinedFlag_g=0;
int para_app_flag = NON; /* flag of PARAMETER statement appearence, added by Feng Xiaobing */
int init_flag = 0; /* flag of initilization expression appearing, added by Feng Xiaobing */
int double_colon_flag = 0; /* flag of double colon appearing, added by Feng Xiaobing */
int outer_scope;                     /* indicate outest function declare */
int default_access=0;                  /* Zheng Gengbin 1996.5.22 */
 
int keyword_flag;
PTR_SYMB module_name,type_name;
PTR_BFND newProgram_g;  /* Lxy 4.30 */
PTR_LABEL cur_label;    /* zheng.gb */

typedef union{
    int token;
    char charv;
    char *charp;
    char charp1[STR_LENGTH];
    PTR_BFND bf_node;
    PTR_LLND ll_node;
    PTR_SYMB symbol;
    PTR_TYPE data_type;
    PTR_HASH hash_entry;
    PTR_CMNT cmnt_node;
    PTR_LABEL label;
 } YYSTYPE;
YYSTYPE yylval;



extern char yytext[YYLMAX];
extern int yylineno;

main(int argc,char *argv[])
{
  int token;
  
  if (argc < 2){
    printf("Usage fpp filename \n");
    exit(0);
  }
  
  input_file = (char *)malloc(sizeof(argv[1])+1);
  strcpy(input_file,argv[1]);
  
  if (!(inf_ptr = fopen(input_file,"r")))
    printf("I can not open input file : %s\n",input_file);
  
  while(token >= 0){
    if ((token= yylex ()) < 0)
      break;
    printf("text = %s line = %d token = %d\n",yytext,yylineno,token);
  }
  printf("end of loop !!! \n");
  
  fclose(inf_ptr);
  
}

    
  
